Page MenuHomePhabricator

Disable Gerrit replication to production slaves
Closed, ResolvedPublic

Description

Whenever the jobs are migrated out of the CI production slaves (gallium, lanthanum) we should disable the Gerrit replication to them.

Event Timeline

hashar created this task.Jan 13 2015, 2:27 PM
hashar raised the priority of this task from to Lowest.
hashar updated the task description. (Show Details)
hashar added a subscriber: hashar.

Change 222595 had a related patch set uploaded (by Hashar):
Remove Gerrit replication to lanthanum.eqiad.wmnet

https://gerrit.wikimedia.org/r/222595

Change 222595 merged by Faidon Liambotis:
Remove Gerrit replication to lanthanum.eqiad.wmnet

https://gerrit.wikimedia.org/r/222595

hashar added a comment.Jul 6 2015, 8:33 PM

From Chad, had to reload the replication plugin to take in account the configuration change: gerrit plugin reload replication.

Lanthanum should no more receives any replication. Still have to handle gallium.

Change 243923 had a related patch set uploaded (by Hashar):
Remove operations-apache-config-lint

https://gerrit.wikimedia.org/r/243923

Change 243924 had a related patch set uploaded (by Hashar):
Remove mediawiki-core-release job

https://gerrit.wikimedia.org/r/243924

hashar claimed this task.Oct 6 2015, 12:52 PM
hashar set Security to None.
hashar moved this task from Backlog to In progress on the Continuous-Integration-Config board.

Change 243924 merged by jenkins-bot:
Remove mediawiki-core-release job

https://gerrit.wikimedia.org/r/243924

Change 243923 merged by jenkins-bot:
Remove operations-apache-config-lint

https://gerrit.wikimedia.org/r/243923

Change 244440 had a related patch set uploaded (by Hashar):
Drop /srv/ssd/gerrit ref for mwext jobs

https://gerrit.wikimedia.org/r/244440

Change 244440 merged by jenkins-bot:
jjb: remove defaults 'use-zuul-for-mw-ext'

https://gerrit.wikimedia.org/r/244440

Change 244444 had a related patch set uploaded (by Hashar):
Drop Gerrit replicate from git-remote-zuul-no-submodules

https://gerrit.wikimedia.org/r/244444

Change 244444 merged by jenkins-bot:
Drop Gerrit replicate from git-remote-zuul-no-submodules

https://gerrit.wikimedia.org/r/244444

hashar added a subscriber: demon.Oct 8 2015, 7:52 PM

/srv/ssd/gerrit is gone from JJB files. There is still one reference in multigit.sh but that is just a default value.

I will get the replication to gallium disabled and then do the cleanup on the machine.

Change 244498 had a related patch set uploaded (by Hashar):
contint: stop gerrit replication to gallium

https://gerrit.wikimedia.org/r/244498

Change 244498 merged by Andrew Bogott:
contint: stop gerrit replication to gallium

https://gerrit.wikimedia.org/r/244498

demon added a comment.Nov 12 2015, 4:31 PM

Gerrit is no longer replicating to gallium either. Only replication targets are now Github and antimony (Gitblit)

hashar closed this task as Resolved.Nov 13 2015, 11:08 AM

Thanks for the merge/deploy of the puppet patch. As a follow up I have manually cleaned up gallium.wikimedia.org:

deluser gerritslave
# was uid 999 , and in gid 1002

# homedir:
rm -fR /var/lib/gerritslave

# replica destination:
rm -fR /srv/ssd/gerrit